=== debian/control ===
Source: ignition-launch5
Standards-Version: 3.9.4
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: extra
Build-Depends: cmake,
               debhelper (>= 7.0.50~),
               doxygen,
               libignition-cmake2-dev,
               libignition-common4-dev,
               libignition-gazebo6-dev,
               libignition-gui6-dev,
               libignition-msgs8-dev,
               libignition-plugin-dev,
               libignition-tools-dev,
               libignition-transport11-dev,
               libsdformat12-dev,
               libtinyxml2-dev,
               libwebsockets-dev,
               qtquickcontrols2-5-dev,
               libqt5core5a,
               binutils-dev
Vcs-Browser: https://github.com/ignition-release/ign-launch5-release
Vcs-Git: https://github.com/ignition-release/ign-launch5-release
Homepage: https://github.com/ignition-release/ign-launch5

Package: libignition-launch5
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition Robotics Launch Library - Launch libraries

Package: libignition-launch5-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev,
	 libignition-common4-dev,
	 libignition-gazebo6-dev,
	 libignition-gui6-dev,
	 libignition-msgs8-dev,
	 libignition-plugin-dev,
	 libignition-tools-dev,
	 libignition-transport11-dev,
	 libsdformat12-dev,
	 libtinyxml2-dev ,
	 libwebsockets-dev,
	 qtquickcontrols2-5-dev,
	 libqt5core5a,
	 libignition-launch5 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition Robotics Launch Library - Launch libraries
  Ignition Common is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
