## ignition-launch5 5.2.0

=== debian/changelog ===
ignition-launch5 (5.2.0-1~focal) focal; urgency=medium

  * ignition-launch5 5.2.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 16 Aug 2022 16:19:04 -0700

ignition-launch5 (5.1.0-1~focal) focal; urgency=medium

  * ignition-launch5 5.1.0-1 release

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 21 Mar 2022 16:23:15 -0700

ignition-launch5 (5.0.0-1~focal) focal; urgency=medium

  * ignition-launch5 5.0.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 01 Oct 2021 14:55:29 -0700

ignition-launch5 (5.0.0~pre1-1~focal) focal; urgency=medium

  * ignition-launch5 5.0.0~pre1-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 22 Sep 2021 16:53:17 -0700

ignition-launch5 (4.999.999-1~focal) focal; urgency=medium

  * Stub to be removed after first entry

 -- Louise Poubel <louise@openrobotics.org>  Thu, 01 Apr 2021 15:28:28 -0700
