## ignition-launch5 5.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #============================================================================
 # Initialize the project
 #============================================================================
-project(ignition-launch5 VERSION 5.2.0)
+project(ignition-launch5 VERSION 5.3.0)
 
 #============================================================================
 # Find ignition-cmake
