=== debian/control ===
Source: ignition-launch5
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: extra
Build-Depends: cmake,
               debhelper (>= 11),
               doxygen,
               libignition-cmake2-dev (>= 2.14.0),
               libignition-common4-dev,
               libignition-gazebo6-dev,
               libignition-gui6-dev,
               libignition-msgs8-dev,
               libignition-plugin-dev,
               libignition-tools-dev,
               libignition-transport11-dev,
               libsdformat12-dev,
               libtinyxml2-dev,
               libwebsockets-dev,
               qtquickcontrols2-5-dev,
               libqt5core5a,
               binutils-dev
Vcs-Browser: https://github.com/gazebosim/gz-launch
Vcs-Git: https://github.com/gazebo-release/gz-launch5-release
Standards-Version: 4.5.1
Homepage: https://github.com/gazebo-release/gz-launch5

Package: libignition-launch5
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libignition-launch5-5 (<= 5.0.0+ds-1ubuntu1)
Replaces: libignition-launch5-5 (<= 5.0.0+ds-1ubuntu1)
Multi-Arch: same
Description: Gazebo Launch Library - Launch libraries
 Gazebo Launch, a component of Gazebo, provides a command line
 interface to run and manager application and plugins.
 .
 Package contains the Gazebo launch libraries

Package: libignition-launch5-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev (>= 2.14.0),
         libignition-common4-dev,
         libignition-gazebo6-dev,
         libignition-gui6-dev,
         libignition-msgs8-dev,
         libignition-plugin-dev,
         libignition-tools-dev,
         libignition-transport11-dev,
         libsdformat12-dev,
         libtinyxml2-dev ,
         libwebsockets-dev,
         qtquickcontrols2-5-dev,
         libqt5core5a,
         libignition-launch5 (= ${binary:Version}),
         ${misc:Depends}
Breaks: ignition-launch-cli
Replaces: ignition-launch-cli
Multi-Arch: same
Description: Gazebo Launch Library - Development files
 Gazebo Launch, a component of Gazebo, provides a command line
 interface to run and manager application and plugins.
 .
 Package contains the Gazebo launch development files and cli client

Package: libgz-launch5
Depends: libignition-launch5, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-launch5-dev
Depends: libignition-launch5-dev, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.
